CREATE TABLE fa_lease_expense_summary_h (
    LEASE_EXPENSE_SUMMARY_ID     NUMBER(18, 0),
    BOOK_TYPE_CODE               VARCHAR2(120)    NOT NULL,
    ASSET_ID                     NUMBER(18, 0)    NOT NULL,
    PERIOD_COUNTER               NUMBER(18, 0)    NOT NULL,
    LEASE_SOURCE_CODE            VARCHAR2(120)    NOT NULL,
    LEASE_INTEREST_AMOUNT        NUMBER       ,
    YTD_LEASE_INTEREST_AMOUNT    NUMBER       ,
    LEASE_INTEREST_ADJ_AMOUNT    NUMBER       ,
    LEASE_PAYMENT_AMOUNT         NUMBER       ,
    LEASE_LIABILITY_BALANCE      NUMBER       ,
    LEASE_EXPENSE_AMOUNT         NUMBER       ,
    YTD_LEASE_EXPENSE_AMOUNT     NUMBER       ,
    LEASE_EXPENSE_ADJ_AMOUNT     NUMBER       ,
    PERIODIC_DEPRN_RESERVE       NUMBER       ,
    DEPRN_RESERVE                NUMBER       ,
    LEASE_EXPENSE_BASIS          NUMBER       ,
    LEASE_AMORT_SCHEDULE_ID      NUMBER       ,
    EVENT_ID                     NUMBER(18, 0),
    LEASE_RUN_ID                 NUMBER(18, 0),
    REVERSAL_EVENT_ID            NUMBER(18, 0),
    REVERSAL_DATE                DATE         ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    ATTRIBUTE16                  VARCHAR2(600),
    ATTRIBUTE17                  VARCHAR2(600),
    ATTRIBUTE18                  VARCHAR2(600),
    ATTRIBUTE19                  VARCHAR2(600),
    ATTRIBUTE20                  VARCHAR2(600),
    ATTRIBUTE21                  VARCHAR2(600),
    ATTRIBUTE22                  VARCHAR2(600),
    ATTRIBUTE23                  VARCHAR2(600),
    ATTRIBUTE24                  VARCHAR2(600),
    ATTRIBUTE25                  VARCHAR2(600),
    ATTRIBUTE26                  VARCHAR2(600),
    ATTRIBUTE27                  VARCHAR2(600),
    ATTRIBUTE28                  VARCHAR2(600),
    ATTRIBUTE29                  VARCHAR2(600),
    ATTRIBUTE30                  VARCHAR2(600),
    ATTRIBUTE_NUMBER1            NUMBER       ,
    ATTRIBUTE_NUMBER2            NUMBER       ,
    ATTRIBUTE_NUMBER3            NUMBER       ,
    ATTRIBUTE_NUMBER4            NUMBER       ,
    ATTRIBUTE_NUMBER5            NUMBER       ,
    ATTRIBUTE_DATE1              DATE         ,
    ATTRIBUTE_DATE2              DATE         ,
    ATTRIBUTE_DATE3              DATE         ,
    ATTRIBUTE_DATE4              DATE         ,
    ATTRIBUTE_DATE5              DATE         ,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    LEASE_EXPENSE_SUMMARY_ID     NUMBER(18, 0),
    BOOK_TYPE_CODE               VARCHAR2(120)    NOT NULL,
    ASSET_ID                     NUMBER(18, 0)    NOT NULL,
    PERIOD_COUNTER               NUMBER(18, 0)    NOT NULL,
    LEASE_SOURCE_CODE            VARCHAR2(120)    NOT NULL,
    LEASE_INTEREST_AMOUNT        NUMBER       ,
    YTD_LEASE_INTEREST_AMOUNT    NUMBER       ,
    LEASE_INTEREST_ADJ_AMOUNT    NUMBER       ,
    LEASE_PAYMENT_AMOUNT         NUMBER       ,
    LEASE_LIABILITY_BALANCE      NUMBER       ,
    LEASE_EXPENSE_AMOUNT         NUMBER       ,
    YTD_LEASE_EXPENSE_AMOUNT     NUMBER       ,
    LEASE_EXPENSE_ADJ_AMOUNT     NUMBER       ,
    PERIODIC_DEPRN_RESERVE       NUMBER       ,
    DEPRN_RESERVE                NUMBER       ,
    LEASE_EXPENSE_BASIS          NUMBER       ,
    LEASE_AMORT_SCHEDULE_ID      NUMBER       ,
    EVENT_ID                     NUMBER(18, 0),
    LEASE_RUN_ID                 NUMBER(18, 0),
    REVERSAL_EVENT_ID            NUMBER(18, 0),
    REVERSAL_DATE                DATE         ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    ATTRIBUTE16                  VARCHAR2(600),
    ATTRIBUTE17                  VARCHAR2(600),
    ATTRIBUTE18                  VARCHAR2(600),
    ATTRIBUTE19                  VARCHAR2(600),
    ATTRIBUTE20                  VARCHAR2(600),
    ATTRIBUTE21                  VARCHAR2(600),
    ATTRIBUTE22                  VARCHAR2(600),
    ATTRIBUTE23                  VARCHAR2(600),
    ATTRIBUTE24                  VARCHAR2(600),
    ATTRIBUTE25                  VARCHAR2(600),
    ATTRIBUTE26                  VARCHAR2(600),
    ATTRIBUTE27                  VARCHAR2(600),
    ATTRIBUTE28                  VARCHAR2(600),
    ATTRIBUTE29                  VARCHAR2(600),
    ATTRIBUTE30                  VARCHAR2(600),
    ATTRIBUTE_NUMBER1            NUMBER       ,
    ATTRIBUTE_NUMBER2            NUMBER       ,
    ATTRIBUTE_NUMBER3            NUMBER       ,
    ATTRIBUTE_NUMBER4            NUMBER       ,
    ATTRIBUTE_NUMBER5            NUMBER       ,
    ATTRIBUTE_DATE1              DATE         ,
    ATTRIBUTE_DATE2              DATE         ,
    ATTRIBUTE_DATE3              DATE         ,
    ATTRIBUTE_DATE4              DATE         ,
    ATTRIBUTE_DATE5              DATE         ,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_fa_lease_expense_summary_h PRIMARY KEY (LEASE_EXPENSE_SUMMARY_ID, LEASE_EXPENSE_SUMMARY_ID)
);
